Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Todo List

Member eZClusterFileHandler::removeGeneratingFile ( $file)
  Clustering: apply the eZClusterFileHandlerInterface to all cluster handlers
Member eZClusterFileHandlerInterface::processCache ( $retrieveCallback, $generateCallback=null, $ttl=null, $expiry=null, $extraData=null)
  Reformat the doc so that it's readable
Member eZDFSFileHandler::cleanPath ( $path)
  -ceZDFSFileHandler write unit test
Member eZDFSFileHandler::fileDelete ( $path, $fnamePart=false)
  -ceZDFSFileHandler write unit test
Member eZDFSFileHandler::fileDeleteByDirList ( $dirList, $commonPath, $commonSuffix)
  -ceZDFSFileHandler write unit test
Member eZDFSFileHandler::fileDeleteByWildcard ( $wildcard)
  -ceZDFSFileHandler write unit test
Member eZDFSFileHandler::processCache ( $retrieveCallback, $generateCallback=null, $ttl=null, $expiry=null, $extraData=null)
  Reformat the doc so that it's readable
Member eZDFSFileHandlerDFSBackend::delete ( $filePath)
  Improve error handling using exceptions
Member eZDFSFileHandlerDFSBackend::getContents ( $filePath)
  Handle errors using exceptions
Member eZDFSFileHandlerDFSBackendInterface::delete ( $filePath)
  Improve error handling using exceptions
Member eZDFSFileHandlerDFSBackendInterface::getContents ( $filePath)
  Handle errors using exceptions
Member eZDFSFileHandlerMySQLiBackend::_die ( $msg, $sql=null)
  to be fixed: will this generate a warning?
Member eZFSFileHandler::startCacheGeneration ()
  add timeout handling...
Member ezpContentPublishingProcess::reset ( $message)
  Monitor the reset operation, using some kind of counter. The process must NOT get high priority, as it might block a slot if it fails constantly Maybe use a STATUS_RESET status, that gives lower priority to the item
Member eZPersistentObject::fill ( $row)
  Change the actual access to protected instead of just marking it as such @access protected
Member eZPersistentObject::replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
  Change the actual access to protected instead of just marking it as such @access protected
Member eZPersistentObject::storeObject ( $obj, $fieldFilters=null)
  Change the actual access to protected instead of just marking it as such @access protected
Member ezpRestClient::isAuthorizedByUser ( $scope, $user=null)
  Handle non-authorization using
Member ezpRestFeedDecorator::decorateFeedItem (ezcFeedEntryElement $item, $data)
  Add list of required metadata to add
Member ezpRestRequest::getParsedBody ()
  Add some sort of configurable lazy loaded request body handler for parsing misc content type.
Member ezpRestTokenManager::generateToken ( $scope)
  See if this should maybe return a token object with token + expiry
Member eZScriptClusterPurge::__set ( $propertyName, $propertyValue)
  Add type & value check
Member eZScriptClusterPurge::run ()
  Endless loop on fetch list. The expired items are returned over and over again
Class eZWebDAVContentBackend

  Replace direct path manipulation with path factory from ezcWebdav

  Fix appendLogEntry to write in only one log file

  Fix using [0] for content object attributes (could be another index in some classes)

  Add lock/unlock calls in setProperty and removeProperty

  Use PathPrefix, PathPrefixExclude (site.ini) and StartNode (webdav.ini) in all functions where necessary

  Remove all todos.

Member eZWebDAVContentBackend::currentSiteFromPath ( $path)
  remove or move in another class?
Member eZWebDAVContentBackend::fetchNodeInfo ( $target, &$node)

  remove/replace .ini calls, eZContentUpload, eZMimeType, eZSys RequestURI

  handle articles as files

Member eZWebDAVContentBackend::fileBasename ( $name)
  remove or replace
Member eZWebDAVContentBackend::getContentNodeData ( $result, $currentSite, $virtualFolder, $target, $fullPath)
  remove/replace eZContentUpload
Member eZWebDAVContentBackend::internalNodePath ( $virtualFolder, $collection)
  remove or replace
Member eZWebDAVContentBackend::putContentData ( $currentSite, $virtualFolder, $target, $tempFile)
  remove/replace eZContentUpload
Member eZWebDAVContentBackend::setCurrentSite ( $site)
  remove or move in another class?
Member eZWebDAVContentBackend::splitFirstPathElement ( $path, &$element)
  remove or replace
Member eZWebDAVContentBackend::splitLastPathElement ( $path, &$element)
  remove or replace
Member eZWebDAVContentBackend::storeUploadedFile ( $target, $contents)
  remove or replace with eZ Components functionality
Member eZWebDAVContentBackend::tempDirectory ()
  remove or replace with eZ Components functionality
Member eZWebDAVContentBackendAuth::splitFirstPathElement ( $path, &$element)
  remove or replace

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.